10
bababbcabbaccbabcacabccbabbcaaaacaacbabcbbacaacbbbaaabccbcaabcccbaabbcabbaabacca
bababbcabbaccbabcacabccbabbcaaaacaacbabcbbacaacbbbaaabccbcaaaaccbcbacabcbacacbab
bcababcbbaaaabbcbcaabcacaaacbacbcc
bcababcbbaaaababaabaabcbaababcccbc
cbaacbcbcaaaaaaccaccbaacbcaaab
cbaacbcbcaacacbccabcbcbbbcacab
cbcabbbacccbbbbbccbbccbcabaccaccbccacb
cbcabbbacccbbbbbccaaaccaaababbcbbbbcbc
caccbbcbbccbbbcbcccbababaaaabc
caccbbcbbccbcccabbaaacbbbbbaab
10
cacabbbcccacccabcccabccbbcabacccacababbaabbaaaacabbbcb
cacabbbcccacccabcccabccbbcabacccacbcbcaccabaacabaababb
baaaccaccbbacaabcbbccccbababbacaabbabbcbcbacaaaaccbbaaacacaaaabbaccbcacaaac
baaaccaccbbacaabcbbccccbababbacaabbabbcbcbacaaaaccbbaaaccbbcaacccbcaaaabcbb
cacbacccbbccbacaaaaabacccbccabbccbcbaabbabacbbaacacaabccbcbbcabaabaaaccaabbacbbb
cacbacccbbccbacaaaaabacccbccabbccbcbaabbabacbbaacacaabccbcbbcabbaaabbabacacbccbb
aabccaabcbacccbccbacaacbbbaccbabcabaccccbacbbaacacaaabbcbaacbaaccbcababac
aabccaabcbacccbccbacaacbbbaccbabcabaccccbacbbaacacaaacaacaaccabcccacabcaa
bcccccaccabaabaaaabcaacccbbaaaabcacbcbbabbbaabccaccccab
bcccccaccabaabaaaabcaacccbbaaaabcacacbcacbaacbbaccccabb
